MONGOC_CURSOR_GET_ID(3)

NAME
mongoc_cursor_get_id - mongoc_cursor_get_id()

SYNOPSIS

        int64_t
        mongoc_cursor_get_id (const mongoc_cursor_t *cursor);

PARAMETERS

    •   cursor: A mongoc_cursor_t.

DESCRIPTION

Retrieves the cursor id used by the server to track the cursor.

This number is zero until the driver actually uses a server when executing the query, and after it has fetched all results from the server.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc